RSS

hsc2hsとUTF-8

hsc2hsが文句を言うので調べる。

あるライブラリをコンパイルしていたら途中で止まる。

hGetContents: invalid argument (invalid UTF-8 byte sequence) とか文句を言う。調べたらhsc2hs がUTF-8の扱いがうまくできてないと。ghc-6.12.2で直った模様。Debianは現在のところ6.12.1…。残念。